import Logo from "@/components/Logo";
import styles from "./page.module.css";
import NotNetIcon from "@/components/icons/NotNetIcon";
import GitHubIcon from "@/components/icons/GitHubIcon";
import DiscordIcon from "@/components/icons/DiscordIcon";

export default function Home() {
  return (
    <main className={styles.main}>
      <Logo />

      <div className={styles.content}>
        <p>login with</p>

        <div className={styles.icons}>
          <a href="/login" title="NotNet">
            <NotNetIcon />
          </a>

          <a href="/oauth/discord/login" title="Discord">
            <DiscordIcon />
          </a>

          <a href="/oauth/github/login" title="GitHub">
            <GitHubIcon />
          </a>
        </div>
      </div>
    </main>
  );
}
