import ColorChanger from "@/components/ColorChanger";
import "./globals.css";
import "./fonts.css";

export const metadata = {
  title: "gluestick",
  description:
    "NotNet's one stop shop for authentication and account onboarding"
};

export default function RootLayout({
  children
}: {
  children: React.ReactNode;
}) {
  return (
    <html lang="en">
      <head>
        <link rel="icon" href="/icon.svg" />
        {/* todo: lmfao */}
        <meta property="og:image" content="/icon.svg" />
      </head>

      <body>
        {children}

        <ColorChanger />
      </body>
    </html>
  );
}
